unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls;

type
  TForm4 = class(TForm)
    Image1: TImage;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses Unit5, Unit3;

{$R *.dfm}
type
  TEditArray  = array[1..8] of Tedit;
  TUitkomst = array[1..8] of integer;

Var
var1, var2: string;
result: real;
outfile: textfile;
goed: integer;
fout: integer;
editArray : TEditArray;
uitkomstenArray : TUitkomst;

Function Check (Test : string): boolean;
var
  getal, code : integer;
begin
      Val (test, getal, code);

      If (code <> 0) then
      begin
       Result := false;
       fout := fout +1;
      end
       else
      begin
       Result := true;
      end;
end;

procedure TForm4.Button1Click(Sender: TObject);
var
uitkomst1, uitkomst2, uitkomst3,
uitkomst4, uitkomst5, uitkomst6, uitkomst7, uitkomst8: integer;
 i : integer;
begin
goed := 0;
fout := 0;
  var2 := 'REKENEN 1: Uitkomsten ';
  for i:=1 to 8 do
  begin
    if check(editArray[i].text) then
    begin
      Uitkomst1:= StrToInt (editArray[i].text);
      if (Uitkomst1 = uitkomstenArray[i]) then
      begin
        goed:= goed + 1;
      end
      else
      begin
         fout:= fout + 1;
      end;
    end;
    var2 := var2 + editArray[i].text + ', (' + IntToStr (uitkomstenArray[i]) +'), ';
  end;
  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var2);
  closefile(outfile);

  result:= (goed / (goed + fout)) * 100;
  Showmessage ('Jij hebt ' + (intToStr(goed)) + ' goed en ' + (IntToStr(fout))+ ' fout!');
  Var1 := '           In totaal '+ IntToStr(goed)+ ' goed en '+IntToStr(fout) +' fout.  RESULT is '+FloatToStr(result)+ '% goed.';

  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var1);
  closefile(outfile);
  form5.show;

 end;


procedure TForm4.FormCreate(Sender: TObject);
begin
     editArray[1] := edit9;
  editArray[2] := edit10;
  editArray[3] := edit11;
  editArray[4] := edit12;
  editArray[5] := edit13;
  editArray[6] := edit14;
  editArray[7] := edit15;
  editArray[8] := edit16;
  uitkomstenArray[1] := 48;
  uitkomstenArray[2] := 14;
  uitkomstenArray[3] := 330;
  uitkomstenArray[4] := 704;
  uitkomstenArray[5] := 96;
  uitkomstenArray[6] := 11;
  uitkomstenArray[7] := 198;
  uitkomstenArray[8] := 244;
end;

end.


 
